LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XTextFrame Interface Referencepublished

provides access to the Text of a TextFrame. More...

`import"XTextFrame.idl";`

Inheritance diagram for XTextFrame:

## Public Member Functions
com::sun::star::text::XText | getText ()
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the Text of a TextFrame.

See also
  TextFrame

## Member Function Documentation

## ◆ getText()

com::sun::star::text::XText getText | ( |  | ) |

Returns
  the text within this frame. The returned interface belongs to an object which implements the service Text.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextFrame.idl